"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var useSound = function (soundFilePath) {
    var _a = React.useState(false), isPlaying = _a[0], setPlaying = _a[1];
    var soundFileHandle = React.useRef();
    React.useEffect(function () {
        soundFileHandle.current = new Audio(soundFilePath);
        soundFileHandle.current.addEventListener("ended", function () { return setPlaying(false); });
    }, [soundFilePath]);
    React.useEffect(function () {
        if (!soundFileHandle.current) {
            return;
        }
        if (isPlaying) {
            soundFileHandle.current.play();
        }
        else {
            soundFileHandle.current.pause();
            soundFileHandle.current.currentTime = 0;
        }
    }, [isPlaying]);
    return [isPlaying, setPlaying];
};
exports.default = useSound;
//# sourceMappingURL=UseSound.js.map